import { ModuleWithProviders, Provider } from '@angular/core';
import { LocalStorageDriver } from './drivers/local-storage-driver.provider';
import { MemoryDriver } from './drivers/memory-driver.provider';
import { AsyncCacheOptions } from './async-cache-options.provider';
export declare function memoryDriverFactory(options: AsyncCacheOptions): MemoryDriver;
export declare function localStorageDriverFactory(options: AsyncCacheOptions): LocalStorageDriver;
export declare function cacheOptionFactory(): AsyncCacheOptions;
export declare class AsyncCacheModule {
    static forRoot(cacheOptions?: Provider): ModuleWithProviders;
}
