import { Observable } from 'rxjs';
import { AsyncCacheOptions, AsyncCacheOptionsInterface } from './async-cache-options.provider';
export declare type GetPromiseFunction = () => Promise<any>;
export declare class AsyncCache {
    private defaults;
    constructor(defaults: AsyncCacheOptions);
    wrap(value: Observable<any> | GetPromiseFunction, cacheKey: string, userOptions?: AsyncCacheOptionsInterface): Observable<any>;
}
