import { CacheDriver, AsyncValue } from './cache-driver.interface';
export interface LocalStorageOptions {
    keyPrefix: string;
}
export declare class LocalStorageDriver implements CacheDriver {
    private options;
    constructor(options?: LocalStorageOptions);
    has(key: string): AsyncValue;
    get(key: string): AsyncValue;
    set(key: string, value: any): AsyncValue;
    delete(key: string): AsyncValue;
    clear(): AsyncValue;
    keys(): AsyncValue;
    private getInternalKey(suffix);
    private getExternalKey(key);
}
